curl --request POST \
--url https://calculators.symmetry.com/api/calculators/tuition \
--header 'Content-Type: application/json' \
--header 'pcc-api-key: <api-key>' \
--data '
{
"additionalFederalWithholding": 0,
"checkDate": 1579814620404,
"deductions2020": 0,
"dependents2020": 0,
"exemptFederal": false,
"exemptFica": false,
"exemptMedicare": false,
"federalAllowances": 0,
"federalFilingStatusType": "SINGLE",
"federalFilingStatusType2020": "SINGLE",
"grossPay": 2252525,
"grossPayYTD": 0,
"otherIncome": null,
"otherIncome2020": 0,
"payFrequency": "BI_WEEKLY",
"presetDeductions": null,
"presetImputed": null,
"print": {
"checkDate": 1579814620404,
"checkNumber": "",
"checkNumberOnCheck": "false",
"companyAddressLine1": "",
"companyAddressLine2": "",
"companyAddressLine3": "",
"companyName": "",
"companyNameOnCheck": "false",
"emailReports": "false",
"employeeAddressLine1": "",
"employeeAddressLine2": "",
"employeeAddressLine3": "",
"employeeName": "",
"id": "",
"remarks": ""
},
"roundFederalWithholding": false,
"state": "AZ",
"stateInfo": {
"parms": [
{
"name": "PERCENTSTATE",
"value": "2.7"
},
{
"name": "stateExemption",
"value": false
},
{
"name": "additionalStateWithholding",
"value": "0"
}
]
},
"tuition": 40000,
"twoJobs2020": false,
"voluntaryDeductions": [
{
"benefitType": "_HSA",
"deductionAmount": 200,
"deductionMethodType": "FIXED_AMOUNT",
"deductionName": "HSA",
"exemptFederal": false,
"exemptFica": false,
"exemptLocal": false,
"exemptState": false
},
{
"benefitType": "_401k",
"deductionAmount": 2,
"deductionMethodType": "PERCENT_OF_GROSS",
"deductionName": "401k",
"exemptFederal": true,
"exemptFica": true,
"exemptLocal": true,
"exemptState": true
},
{
"benefitType": "_Custom",
"deductionAmount": 10,
"deductionMethodType": "PERCENT_OF_GROSS",
"deductionName": "Custom",
"exemptFederal": false,
"exemptFica": false,
"exemptLocal": false,
"exemptState": false
}
],
"w42020": false
}
'import requests
url = "https://calculators.symmetry.com/api/calculators/tuition"
payload = {
"additionalFederalWithholding": 0,
"checkDate": 1579814620404,
"deductions2020": 0,
"dependents2020": 0,
"exemptFederal": False,
"exemptFica": False,
"exemptMedicare": False,
"federalAllowances": 0,
"federalFilingStatusType": "SINGLE",
"federalFilingStatusType2020": "SINGLE",
"grossPay": 2252525,
"grossPayYTD": 0,
"otherIncome": None,
"otherIncome2020": 0,
"payFrequency": "BI_WEEKLY",
"presetDeductions": None,
"presetImputed": None,
"print": {
"checkDate": 1579814620404,
"checkNumber": "",
"checkNumberOnCheck": "false",
"companyAddressLine1": "",
"companyAddressLine2": "",
"companyAddressLine3": "",
"companyName": "",
"companyNameOnCheck": "false",
"emailReports": "false",
"employeeAddressLine1": "",
"employeeAddressLine2": "",
"employeeAddressLine3": "",
"employeeName": "",
"id": "",
"remarks": ""
},
"roundFederalWithholding": False,
"state": "AZ",
"stateInfo": { "parms": [
{
"name": "PERCENTSTATE",
"value": "2.7"
},
{
"name": "stateExemption",
"value": False
},
{
"name": "additionalStateWithholding",
"value": "0"
}
] },
"tuition": 40000,
"twoJobs2020": False,
"voluntaryDeductions": [
{
"benefitType": "_HSA",
"deductionAmount": 200,
"deductionMethodType": "FIXED_AMOUNT",
"deductionName": "HSA",
"exemptFederal": False,
"exemptFica": False,
"exemptLocal": False,
"exemptState": False
},
{
"benefitType": "_401k",
"deductionAmount": 2,
"deductionMethodType": "PERCENT_OF_GROSS",
"deductionName": "401k",
"exemptFederal": True,
"exemptFica": True,
"exemptLocal": True,
"exemptState": True
},
{
"benefitType": "_Custom",
"deductionAmount": 10,
"deductionMethodType": "PERCENT_OF_GROSS",
"deductionName": "Custom",
"exemptFederal": False,
"exemptFica": False,
"exemptLocal": False,
"exemptState": False
}
],
"w42020": False
}
headers = {
"pcc-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'pcc-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additionalFederalWithholding: 0,
checkDate: 1579814620404,
deductions2020: 0,
dependents2020: 0,
exemptFederal: false,
exemptFica: false,
exemptMedicare: false,
federalAllowances: 0,
federalFilingStatusType: 'SINGLE',
federalFilingStatusType2020: 'SINGLE',
grossPay: 2252525,
grossPayYTD: 0,
otherIncome: null,
otherIncome2020: 0,
payFrequency: 'BI_WEEKLY',
presetDeductions: null,
presetImputed: null,
print: {
checkDate: 1579814620404,
checkNumber: '',
checkNumberOnCheck: 'false',
companyAddressLine1: '',
companyAddressLine2: '',
companyAddressLine3: '',
companyName: '',
companyNameOnCheck: 'false',
emailReports: 'false',
employeeAddressLine1: '',
employeeAddressLine2: '',
employeeAddressLine3: '',
employeeName: '',
id: '',
remarks: ''
},
roundFederalWithholding: false,
state: 'AZ',
stateInfo: {
parms: [
{name: 'PERCENTSTATE', value: '2.7'},
{name: 'stateExemption', value: false},
{name: 'additionalStateWithholding', value: '0'}
]
},
tuition: 40000,
twoJobs2020: false,
voluntaryDeductions: [
{
benefitType: '_HSA',
deductionAmount: 200,
deductionMethodType: 'FIXED_AMOUNT',
deductionName: 'HSA',
exemptFederal: false,
exemptFica: false,
exemptLocal: false,
exemptState: false
},
{
benefitType: '_401k',
deductionAmount: 2,
deductionMethodType: 'PERCENT_OF_GROSS',
deductionName: '401k',
exemptFederal: true,
exemptFica: true,
exemptLocal: true,
exemptState: true
},
{
benefitType: '_Custom',
deductionAmount: 10,
deductionMethodType: 'PERCENT_OF_GROSS',
deductionName: 'Custom',
exemptFederal: false,
exemptFica: false,
exemptLocal: false,
exemptState: false
}
],
w42020: false
})
};
fetch('https://calculators.symmetry.com/api/calculators/tuition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"self": {
"href": "https://calculators.symmetry.com/api/calculators/tuition?report=none&showcalc=false&itd=false"
}
},
"content": {
"eic": 0,
"federal": 827189.65,
"fica": 8537.4,
"grossPay": 2252525,
"localeTaxes": [],
"medicare": 51286.31,
"netPay": 1060092.86,
"state": 60466.28,
"stateTaxTypes": [],
"timeStamp": 1763479151907,
"voluntaryDeductions": [
{
"name": "HSA",
"value": "200.00"
},
{
"name": "Custom",
"value": "225252.50"
},
{
"name": "401k",
"value": "19500.00"
}
]
}
}{
"content": "Invalid request parameter state=badstate"
}{
"message": "No api key found"
}{
"message": "Invalid api key"
}{
"error": "Not Found",
"path": "/api/calculators/tuition/badpath",
"status": 404,
"timestamp": 1641573466465
}{
"error": "Method Not Allowed",
"path": "/api/calculators/tuition",
"status": 405,
"timestamp": 1641572607838
}This response has no body data.Calculate tuition paycheck
Performs paycheck calculation for tuition reimbursement income
Authorizations
API key for CBS API authentication
Query Parameters
Report type to generate (requires valid print object)
all, checkbottom, checkmiddle, checktop, deluxe_b100, deluxe_b211, deluxe_m102, deluxe_m145, deluxe_t104, deluxe_t111, earnings, none, paystub, quickbooks_top Include calculator object in response
Include itemized tax details
Body
Tuition calculator configuration
Tuition calculator configuration for educational assistance benefits (limited to BI_WEEKLY or MONTHLY pay frequency)
Additional amount to withhold for federal taxes
x >= 0100
Number of federal tax allowances claimed
x >= 02
Gross pay amount for the calculation period
x >= 052000
Year-to-date gross pay
x >= 010000
Two-letter state abbreviation where the employee works
Alabama, Alaska, American Samoa, Arizona, Arkansas, California, Colorado, Connecticut, Delaware, Florida, Georgia, Guam, Hawaii, Idaho, Illinois, Indiana, Iowa, Kansas, Kentucky, Louisiana, Maine, Maryland, Massachusetts, Michigan, Minnesota, Mississippi, Missouri, Montana, N. Mariana Islands, Nebraska, Nevada, New Hampshire, New Jersey, New Mexico, New York, North Carolina, North Dakota, Ohio, Oklahoma, Oregon, Pennsylvania, Puerto Rico, Rhode Island, South Carolina, South Dakota, Tennessee, Texas, US Virgin Islands, Utah, Vermont, Virginia, Washington, Washington DC, West Virginia, Wisconsin, Wyoming "CA"
Tuition reimbursement amount
x >= 05000
Date of the paycheck calculation
"2024-03-15"
Deductions amount from W-4 2020+ Step 4b
x >= 00
Dependent amount from W-4 2020+ Step 3
x >= 04000
Whether the employee is exempt from federal tax withholding
false
Whether the employee is exempt from FICA (Social Security) tax
false
Whether the employee is exempt from Medicare tax
false
Federal tax filing status
HEAD_OF_HOUSEHOLD, MARRIED, SINGLE "SINGLE"
Federal filing status for W-4 2020+ form
HEAD_OF_HOUSEHOLD, MARRIED_FILING_JOINTLY, SINGLE "SINGLE"
List of other income sources (imputed income)
Show child attributes
Show child attributes
Other income amount from W-4 2020+ Step 4a
x >= 00
Frequency of pay periods
ANNUALLY, BI_WEEKLY, DAILY, MONTHLY, QUARTERLY, SEMI_ANNUALLY, SEMI_MONTHLY, WEEKLY "BI_WEEKLY"
List of preset custom deductions
Show child attributes
Show child attributes
List of preset imputed income
Show child attributes
Show child attributes
Print object for PDF report generation
Show child attributes
Show child attributes
Whether to round federal withholding amounts
false
State-specific parameters for the calculation
Show child attributes
Show child attributes
Whether employee has two jobs (W-4 2020+ Step 2c)
false
List of voluntary deductions (401k, HSA, custom deductions, etc.)
Show child attributes
Show child attributes
Whether using W-4 form from 2020 or later (vs. pre-2020 W-4)
false

